> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token details

> Get token details by contract id



## OpenAPI

````yaml /api/modo-canton.json get /v1/tokens/{contractId}
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/tokens/{contractId}:
    get:
      tags:
        - Tokens
      summary: Get token details
      description: Get token details by contract id
      operationId: getTokenByContractId
      parameters:
        - name: contractId
          in: path
          description: Contract id
          required: true
          schema:
            type: string
          example: >-
            00481944454b1ef1b26fe94e8c2dcc6d5ce4d4b355713237fe7ccdf609cbd5ba02ca111220cbe94684cba8dd031a9f80690da28fe58d753e8ac98763f51cf9806f90001f45
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/TokenDetailsDtoAPI'
components:
  schemas:
    TokenDetailsDtoAPI:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        symbol:
          type: string
        operator:
          type: string
        operators:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantDtoAPI'
        provider:
          type: string
        providers:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantDtoAPI'
        registrar:
          type: string
        registars:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantDtoAPI'
        contractId:
          type: string
        templateId:
          type: string
        domainId:
          type: string
        createdEventBlob:
          type: string
        tokenStandard:
          type: string
        createdAt:
          type: integer
          format: int64
        imageUrl:
          type: string
        additionalIdentifiersJson:
          type: object
        issuerRequirementsJson:
          type: object
        holderRequirementsJson:
          type: object
    ParticipantDtoAPI:
      type: object
      properties:
        partyId:
          type: string
        accountName:
          type: string
        imageUrl:
          type: string
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````